Name:           gnome-maps
Version:        3.10.2
Release:        1%{?dist}
Summary:        Map application for GNOME

License:        GPLv2+
URL:            http://wiki.gnome.org/Maps
Source0:        http://download.gnome.org/sources/gnome-maps/3.10/gnome-maps-%{version}.tar.xz

Patch0:         fix-translation.patch

BuildArch:      noarch

BuildRequires:  gjs-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

Requires:       clutter
Requires:       clutter-gtk
Requires:       cogl
Requires:       gdk-pixbuf2
Requires:       geoclue2
Requires:       geocode-glib
Requires:       gjs
Requires:       gobject-introspection
Requires:       gtk3
Requires:       libchamplain
Requires:       libchamplain-gtk

%define emerillon_version 0.1.90-15
Obsoletes: emerillon < %{emerillon_version}
Obsoletes: emerillon-devel < %{emerillon_version}
Obsoletes: emerillon-vala < %{emerillon_version}

%description
GNOME Maps is a simple map application for the GNOME desktop.

%prep
%setup -q
%patch0 -p1 -b .fix-translation


%build
%configure
make %{?_smp_mflags}


%install
%make_install
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/appdata/
%{_datadir}/glib-2.0/schemas/org.gnome.maps.gschema.xml
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Wed Nov 13 2013 Richard Hughes <rhughes@redhat.com> - 3.10.2-1
- Update to 3.10.2

* Wed Sep 25 2013 Kalev Lember <kalevlember@gmail.com> - 3.10.0-1
- Update to 3.10.0

* Wed Sep 18 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.92-2
- Build the package as noarch

* Wed Sep 18 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.92-1
- Update to 3.9.92

* Sun Sep 08 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.91-2
- Remove useless debuginfo package

* Tue Sep 03 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.91-1
- Update to 3.9.91

* Tue Aug 27 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.2-3
- Add requires on gjs
- Make sure we have the right architecture of libraries installed

* Tue Aug 27 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.2-2
- Fix issues from review

* Sat Aug 24 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.2-1
- Now uses the geoclue dbus service instead of the library
- gnome-maps is JS only, so it should be a noarch package

* Sat Aug 24 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.1-2
- Add missing icon-cache update and glib schema compilation scripts

* Fri Aug 23 2013 Elad Alfassa <elad@fedoraproject.org> - 3.9.90.1-1
- Initial packaging for review
